﻿# ##########################################################################
# Programme Python permettant de tracer la caractéristique d'un conducteur ohmique
# et de programmer la modélisation
# à destination des élèves qui peuvent modifier le code sous les parties roses (ou triples guillemets)
# ##########################################################################
# O. CHAUMETTE - Lycée JP SARTRE - 69500 BRON - olivier.chaumette@ac-lyon.fr
# ##########################################################################


# ##########################
# IMPORTATION DES MODULES #
# #########################
# importation de NUMPY (pour gestion tableaux et calculs) sous l'alias "np"
import numpy as np
# importation de PYPLOT (du module MATPLOTLIB, pour le tracé de courbes) sous l'alias "plt"
import matplotlib.pyplot as plt


# ##############################
# Début du Programme principal #
# #############################

# ###################################################################
# Création de listes à partir des données en abscisse et ordonnée:
""" TRAVAIL 1:
    ----------
Entrer , ci-dessous, entre les crochets et séparées par des virgules, les différentes valeurs de l'intensité et de la tension """
I = np.array([0.1, 0.2, 0.3])
U = np.array([2, 4, 6])


""" TRAVAIL 2:
    ----------
	Suivre les consignes écrites en rose ci-dessous: """
# Titre Du graphique (OPTIONNEL, peut-être supprimé)
""" Entrer ci-dessous, entre les guillemets, le titre du graphique SANS ACCENTS !!!! """
plt.title("Titre du graphique")

# Légende des axes (OPTIONNEL, peut-être supprimé)
""" Entrer ci-dessous les noms des grandeurs pour chaque axe
(remplacer "abscisse" et "ordonnee") SANS ACCENTS !!!! """
plt.xlabel("Abscisse")
plt.ylabel("Ordonnee")

# Modification des maxis/minis des axes (OPTIONNEL, peut-être supprimé)
""" Vraiment OPTIONNEL !! MATPLOTLIB peut gérer tout seul l'échelle.
Sinon, modifier les valeurs de Imin,Imax,Umin et Umax ci-dessous """
Imin=0
Imax=0.5
Umin =0
Umax = 10

plt.axis([Imin, Imax, Umin, Umax])
# #######################################
# Affichage de la grille (OPTIONNEL, peut-être supprimé)
plt.grid()


""" TRAVAIL 3:
    ----------
	Suivre les consignes écrites en rose ci-dessous: """
# #######################################
# Tracé de la courbe expérimentale
""" Taper ci-dessous le code permettant de représenter U en fonction de I
sous forme de croix rouges"""


""" Modifier ci-dessous pour placer le texte aux coordonnées voulues et à la couleur voulue """
plt.text (0,0,"Nuage des points experimentaux",color='k')



""" TRAVAIL 4:
    ----------
	Suivre les consignes écrites en rose ci-dessous: """
# #######################################
# Tracé de la courbe modélisée

# Variables permettant d'ajuster le modèle:
a = 1000
b = 2

# Modèle choisi:
""" Taper ci-dessous le code du modèle qui correspond le mieux à votre courbe """




""" TRAVAIL 5:
    ----------
	Suivre les consignes écrites en rose ci-dessous: """
# #######################################
# Tracé de la courbe expérimentale
""" Taper ci-dessous le code permettant de représenter la courbe de modélisation Umod en fonction de I
en bleu, points non affichés mais reliés par un trait"""


""" Modifier ci-dessous pour placer le texte aux coordonnées voulues et à la couleur voulue """
plt.text (.3,2,"Courbe modélisée U="+str(a)+".I",color='g')



# ##################################
# Affichage de la fenêtre MATPLOTLIB
plt.show()